{ pkgs, inputs, ... }:

{
  imports = [
    # Utilities
    ../../modules/nixos/nvidia-support.nix
    ../../modules/nixos/fingerprint.nix
    ../../modules/nixos/bluetooth.nix
    ../../modules/nixos/greetd.nix
    ../../modules/nixos/audio.nix
  ];

  modules.fingerprint.enable = true;
  modules.bluetooth.enable = true;
  modules.nvidia.enable = true;
  modules.audio.enable = true;

  security.rtkit.enable = true;
  modules.greetd = {
    enable = true;
    command = "Hyprland";
  };

  services = {
    gvfs.enable = true;
    upower.enable = true;
    power-profiles-daemon.enable = true;

    printing = {
      enable = true;
      drivers = with pkgs; [ hplipWithPlugin ];
    };
  };

  programs = {
    adb.enable = true;
    dconf.enable = true;
    light.enable = true;
    thunar.enable = true;

    thunar.plugins = with pkgs.xfce; [
      thunar-archive-plugin
      thunar-volman
    ];
  };
}
