{ pkgs, ... }:

let
  networkManagerEnabled = true;
  wirelessEnabled = false;
in
{
  networking.networkmanager.enable = pkgs.lib.mkIf networkManagerEnabled true;
  networking.networkmanager.wifi.powersave = pkgs.lib.mkIf networkManagerEnabled true;

  networking.wireless.enable = pkgs.lib.mkIf wirelessEnabled true;
  networking.wireless.userControlled.enable = pkgs.lib.mkIf wirelessEnabled true;

  boot.kernel.sysctl."net.ipv4.ip_forward" = 0;
}
